import { getLocales } from '@starzkg/vuepress-shared';
import { getDirname, path } from '@vuepress/utils';
import { useSassPalettePlugin } from 'vuepress-plugin-sass-palette';
import { i18n } from './i18n.js';
const __dirname = getDirname(import.meta.url);
export * from '../shared/index.js';
export const copyCodePlugin = (options) => (app) => {
    useSassPalettePlugin(app, { id: 'star' });
    return {
        name: '@starzkg/vuepress-plugin-copy-code',
        define: () => ({
            CODE_COPY_OPTIONS: options,
            CODE_COPY_I18N: getLocales({
                app,
                name: 'copy-code',
                default: i18n,
                config: options.locale,
            }),
        }),
        clientConfigFile: path.resolve(__dirname, '../client/config.js'),
    };
};
//# sourceMappingURL=index.js.map